> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Resend / cancel admin user invitation

PUT https://api.brevo.com/v3/corporate/user/invitation/{action}/{email}

This endpoint will allow the user to:
- Resend an admin user invitation
- Cancel an admin user invitation


Reference: https://developers.brevo.com/reference/resend-cancel-admin-user-invitation

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `action` (enum, required) — Action to be performed (cancel / resend)
  - Allowed values: `resend`, `cancel`
- `email` (string, required) — Email address of the recipient

## Response

### 200

Response of the action performed

- `message` (string, optional) — Action success message

## Errors

### 400 Bad Request Error

bad request

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

## Examples

**Response**

```json
{
  "message": "Invitation resent successfully"
}
```

**SDK Code**

```typescript Master account_resendCancelAdminUserInvitation_example
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.masterAccount.resendCancelAdminUserInvitation({
        action: "resend",
        email: "email",
    });
}
main();

```

```python Master account_resendCancelAdminUserInvitation_example
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.master_account.resend_cancel_admin_user_invitation(
    action="resend",
    email="email",
)

```

```php Master account_resendCancelAdminUserInvitation_example
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\MasterAccount\Types\PutCorporateUserInvitationActionEmailRequestAction;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->masterAccount->resendCancelAdminUserInvitation(
    PutCorporateUserInvitationActionEmailRequestAction::Resend->value,
    'email',
);

```

```go Master account_resendCancelAdminUserInvitation_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/corporate/user/invitation/resend/email"

	req, _ := http.NewRequest("PUT", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Master account_resendCancelAdminUserInvitation_example
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/corporate/user/invitation/resend/email")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Master account_resendCancelAdminUserInvitation_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.brevo.com/v3/corporate/user/invitation/resend/email")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp Master account_resendCancelAdminUserInvitation_example
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/corporate/user/invitation/resend/email");
var request = new RestRequest(Method.PUT);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Master account_resendCancelAdminUserInvitation_example
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/corporate/user/invitation/resend/email")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```